net.sf.jasperreports.data.xlsx

## Class XlsxDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.xls.XlsDataAdapterImpl
    - - net.sf.jasperreports.data.xlsx.XlsxDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, XlsDataAdapter, XlsxDataAdapter

      public class XlsxDataAdapterImpl
      extends XlsDataAdapterImpl
      implements XlsxDataAdapter

  Version:
    $Id: XlsxDataAdapterImpl.java 6977 2014-03-14 09:11:47Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxDataAdapterImpl()`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.data.xls.XlsDataAdapterImpl

      `getColumnIndexes, getColumnNames, getDatePattern, getFileName, getNumberPattern, getSheetSelection, isQueryExecuterMode, isUseFirstRowAsHeader, setColumnIndexes, setColumnNames, setDatePattern, setFileName, setNumberPattern, setQueryExecuterMode, setSheetSelection, setUseFirstRowAsHeader`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.xls.XlsDataAdapter

      `getColumnIndexes, getColumnNames, getDatePattern, getFileName, getNumberPattern, getSheetSelection, isQueryExecuterMode, isUseFirstRowAsHeader, setColumnIndexes, setColumnNames, setDatePattern, setFileName, setNumberPattern, setQueryExecuterMode, setSheetSelection, setUseFirstRowAsHeader`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### XlsxDataAdapterImpl

          public XlsxDataAdapterImpl()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com